import { OnInit } from '@angular/core';
import * as i0 from "@angular/core";
export declare class SsrTableComponent implements OnInit {
    data: any[];
    columns: string[];
    visibleColumns: {
        [key: string]: boolean;
    };
    allColumns: string[];
    displayedColumns: string[];
    searchQuery: string;
    filteredData: any[];
    paginatedData: any[];
    currentPage: number;
    pageSize: number;
    pageSizes: number[];
    sortDirection: {
        [key: string]: boolean;
    };
    isExporting: boolean;
    expandedRow: any;
    ngOnInit(): void;
    initializeColumns(): void;
    updateDisplayedColumns(): void;
    applySearch(): void;
    resetSearch(): void;
    sortTable(column: string): void;
    applyPagination(): void;
    prevPage(): void;
    nextPage(): void;
    get totalPages(): number;
    downloadTable(): Promise<void>;
    toggleRow(row: any): void;
    fetchAdditionalData(row: any): void;
    downloadRow(row: any): void;
    copyRow(row: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SsrTableComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SsrTableComponent, "lib-ssr-table", never, { "data": { "alias": "data"; "required": false; }; "columns": { "alias": "columns"; "required": false; }; }, {}, never, never, false, never>;
}
